Author: kiwiwings
Date: Sat Nov  9 15:58:33 2019
New Revision: 1869605

URL: http://svn.apache.org/viewvc?rev=1869605&view=rev
Log:
Limit nodes for OpenJDK 8

Modified:
    poi/trunk/jenkins/create_jobs.groovy

Modified: poi/trunk/jenkins/create_jobs.groovy
URL: 
http://svn.apache.org/viewvc/poi/trunk/jenkins/create_jobs.groovy?rev=1869605&r1=1869604&r2=1869605&view=diff
==============================================================================
--- poi/trunk/jenkins/create_jobs.groovy (original)
+++ poi/trunk/jenkins/create_jobs.groovy Sat Nov  9 15:58:33 2019
@@ -17,13 +17,8 @@ def poijobs = [
         [ name: 'POI-DSL-1.8', trigger: 'H */12 * * *'
         ],
         [ name: 'POI-DSL-OpenJDK', jdk: 'OpenJDK', trigger: 'H */12 * * *',
-          // H13-H20 (Ubuntu 16.04) do not have OpenJDK 6 installed, see 
https://issues.apache.org/jira/browse/INFRA-12880
-          slaveAdd: 
'&&!H0&&!H1&&!H2&&!H3&&!H4&&!H5&&!H6&&!H7&&!H8&&!H9&&!H10&&!H11' +
-                  
'&&!H30&&!H31&&!H32&&!H33&&!H34&&!H35&&!H36&&!H37&&!H38&&!H39' +
-                  '&&!H40&&!H41&&!H42&&!H43' +
-                  '&&!qnode3' +
-                  
'&&!ubuntu-1&&!ubuntu-2&&!ubuntu-4&&!ubuntu-5&&!ubuntu-6&&!ubuntu-eu2&&!ubuntu-us1',
-          // the JDK is missing on some slaves so builds are unstable
+          // only a limited set of nodes still have OpenJDK 8 (on Ubuntu) 
installed
+          slaves: 'H5||H6||H44||H48||H49||H50',
           skipcigame: true
         ],
         [ name: 'POI-DSL-1.10', jdk: '1.10', trigger: triggerSundays, 
skipcigame: true
@@ -103,7 +98,8 @@ def jdkMapping = [
         '1.11': 'JDK 11 (latest)',
         '1.12': 'JDK 12 (latest)',
         '1.13': 'JDK 13 (latest)',
-        'OpenJDK': 'OpenJDK 8 (on Ubuntu only) ',   // blank is required here 
until the name in the Jenkins instance is fixed!
+        // trailing blank is required here until the name in the Jenkins 
instance is fixed!
+        'OpenJDK': 'OpenJDK 8 (on Ubuntu only) ',
         'IBMJDK': 'IBM 1.8 64-bit (on Ubuntu only)',
 ]
 
@@ -570,15 +566,12 @@ Unfortunately we often see builds break
     axes {
         jdk(
                 'JDK 1.8 (latest)',
-                'OpenJDK 8 (on Ubuntu only) ',   // blank is required here 
until the name in the Jenkins instance is fixed!
+                // blank is required here until the name in the Jenkins 
instance is fixed!
+                'OpenJDK 8 (on Ubuntu only) ',
                 'IBM 1.8 64-bit (on Ubuntu only)',
-
                 'JDK 11 (latest)',
-
                 'JDK 12 (latest)',
-
                 'JDK 13 (latest)',
-
                 'JDK 14 (latest)'
         )
         elasticAxis {



---------------------------------------------------------------------
To unsubscribe, e-mail: commits-unsubscr...@poi.apache.org
For additional commands, e-mail: commits-h...@poi.apache.org

Reply via email to